LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Networking
User Name
Password
Linux - Networking This forum is for any issue related to networks or networking.
Routing, network cards, OSI, etc. Anything is fair game.

Notices


Reply
  Search this Thread
Old 01-18-2015, 07:51 AM   #1
nemesis98
LQ Newbie
 
Registered: Jan 2015
Posts: 1

Rep: Reputation: Disabled
NS2.35 installation in Ubuntu 12.10 -error: X11/Xlib.h: No such file or directory


I tried to install NS2.35 in my newly installed ubuntu(I am new to it).

I have got following error:

In file included from /home/user/Desktop/ns-allinone-2.35/tk8.5.10/unix/../generic/tkInt.h:19:0,
from /home/user/Desktop/ns-allinone-2.35/tk8.5.10/unix/../generic/tk3d.c:14:
/home/user/Desktop/ns-allinone-2.35/tk8.5.10/unix/../generic/tk.h:76:23: fatal error: X11/Xlib.h: No such file or directory
compilation terminated.
make: *** [tk3d.o] Error 1
tk8.5.10 make failed! Exiting ...
For problems with Tcl/Tk see http://www.scriptics.com


so I tried to solve the problem following suggestions in internet like:

try4solution1 following this suggestion to check ownership

user@ubuntu:~/Desktop/ns-allinone-2.35$ namei -l ~/Desktop/ns-allinone-2.35/lib
f: /home/user/Desktop/ns-allinone-2.35/lib
drwxr-xr-x root root /
drwxr-xr-x root root home
drwxr-xr-x user user user
drwxr-xr-x user user Desktop
drwxr-xr-x user user ns-allinone-2.35
drwxr-xr-x user user lib


After that I did this following suggestions given here

sudo apt-get install \
g++ autoconf automake libtool libxmu-dev patch xgraph


The output is :

Note, selecting 'rsyslog' instead of 'linux-kernel-log-daemon'
Note, selecting 'pulseaudio' instead of 'pulseaudio-module-rygel-media-server'
Note, selecting 'linux-image-3.5.0-17-generic' instead of 'linux-image'
Note, selecting 'linux-image-3.5.0-17-generic' instead of 'linux-image-3.0'
Note, selecting 'libgphoto2-port0' instead of 'libgphoto2port'
Package autoconf is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

Package libtool is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'autoconf' has no installation candidate
E: Unable to locate package automake
E: Package 'libtool' has no installation candidate
E: Unable to locate package libxmu-dev


So I did this:

sudo apt-get update && sudo apt-get install g++ autoconf automake libtool libxmu-dev patch xgraph

The output became this:

Ign http://us.archive.ubuntu.com quantal InRelease
Ign http://security.ubuntu.com quantal-security InRelease
Ign http://us.archive.ubuntu.com quantal-updates InRelease
Ign http://security.ubuntu.com quantal-security Release.gpg
Ign http://us.archive.ubuntu.com quantal Release.gpg
Ign http://security.ubuntu.com quantal-security Release
Ign http://us.archive.ubuntu.com quantal-updates Release.gpg
Ign http://us.archive.ubuntu.com quantal Release
Ign http://us.archive.ubuntu.com quantal-updates Release
Err http://security.ubuntu.com quantal-security/main amd64 Packages
404 Not Found [IP: 91.189.91.15 80]
Err http://security.ubuntu.com quantal-security/restricted amd64 Packages
404 Not Found [IP: 91.189.91.15 80]
Err http://security.ubuntu.com quantal-security/universe amd64 Packages
404 Not Found [IP: 91.189.91.15 80]
Err http://security.ubuntu.com quantal-security/multiverse amd64 Packages
404 Not Found [IP: 91.189.91.15 80]
Ign http://security.ubuntu.com quantal-security/main Translation-en_US
Ign http://security.ubuntu.com quantal-security/main Translation-en
Ign http://security.ubuntu.com quantal-security/multiverse Translation-en_US
Ign http://security.ubuntu.com quantal-security/multiverse Translation-en
Ign http://security.ubuntu.com quantal-security/restricted Translation-en_US
Ign http://security.ubuntu.com quantal-security/restricted Translation-en
Ign http://security.ubuntu.com quantal-security/universe Translation-en_US
Ign http://security.ubuntu.com quantal-security/universe Translation-en
Err http://us.archive.ubuntu.com quantal/main amd64 Packages
404 Not Found [IP: 91.189.91.14 80]
Err http://us.archive.ubuntu.com quantal/restricted amd64 Packages
404 Not Found [IP: 91.189.91.14 80]
Err http://us.archive.ubuntu.com quantal/universe amd64 Packages
404 Not Found [IP: 91.189.91.14 80]
Err http://us.archive.ubuntu.com quantal/multiverse amd64 Packages
404 Not Found [IP: 91.189.91.14 80]
Ign http://us.archive.ubuntu.com quantal/main Translation-en_US
Ign http://us.archive.ubuntu.com quantal/main Translation-en
Ign http://us.archive.ubuntu.com quantal/multiverse Translation-en_US
Ign http://us.archive.ubuntu.com quantal/multiverse Translation-en
Ign http://us.archive.ubuntu.com quantal/restricted Translation-en_US
Ign http://us.archive.ubuntu.com quantal/restricted Translation-en
Ign http://us.archive.ubuntu.com quantal/universe Translation-en_US
Ign http://us.archive.ubuntu.com quantal/universe Translation-en
Err http://us.archive.ubuntu.com quantal-updates/main amd64 Packages
404 Not Found [IP: 91.189.91.14 80]
Err http://us.archive.ubuntu.com quantal-updates/restricted amd64 Packages
404 Not Found [IP: 91.189.91.14 80]
Err http://us.archive.ubuntu.com quantal-updates/universe amd64 Packages
404 Not Found [IP: 91.189.91.14 80]
Err http://us.archive.ubuntu.com quantal-updates/multiverse amd64 Packages
404 Not Found [IP: 91.189.91.14 80]
Ign http://us.archive.ubuntu.com quantal-updates/main Translation-en_US
Ign http://us.archive.ubuntu.com quantal-updates/main Translation-en
Ign http://us.archive.ubuntu.com quantal-updates/multiverse Translation-en_US
Ign http://us.archive.ubuntu.com quantal-updates/multiverse Translation-en
Ign http://us.archive.ubuntu.com quantal-updates/restricted Translation-en_US
Ign http://us.archive.ubuntu.com quantal-updates/restricted Translation-en
Ign http://us.archive.ubuntu.com quantal-updates/universe Translation-en_US
Ign http://us.archive.ubuntu.com quantal-updates/universe Translation-en
W: Failed to fetch http://security.ubuntu.com/ubuntu/di...amd64/Packages 404 Not Found [IP: 91.189.91.15 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/di...amd64/Packages 404 Not Found [IP: 91.189.91.15 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/di...amd64/Packages 404 Not Found [IP: 91.189.91.15 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/di...amd64/Packages 404 Not Found [IP: 91.189.91.15 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/...amd64/Packages 404 Not Found [IP: 91.189.91.14 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/...amd64/Packages 404 Not Found [IP: 91.189.91.14 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/...amd64/Packages 404 Not Found [IP: 91.189.91.14 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/...amd64/Packages 404 Not Found [IP: 91.189.91.14 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/...amd64/Packages 404 Not Found [IP: 91.189.91.14 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/...amd64/Packages 404 Not Found [IP: 91.189.91.14 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/...amd64/Packages 404 Not Found [IP: 91.189.91.14 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/...amd64/Packages 404 Not Found [IP: 91.189.91.14 80]

E: Some index files failed to download. They have been ignored, or old ones used instead.


Now, I tried to find in case the problem is with the server.I tried to update the server link from ubuntu software centre, by
1. Download from "Other"
2.Clicking other opened a menu on the left side of the box there are options on choice of country for the download server. I choose Serve for US and the "select best server" option on the right-side of the same box.
3.The system tried to modified accordingly by searching for server. Anotehr dialog box appeared saying "Testing for Download Server. to find best suitable mirror location" and at last gave error massage "No suitable download server was found. Check your internet connection"

My internet connection is fine. I have also tried this:

sudo gedit /etc/resolv.conf

and added nameserver 8.8.8.8 in the file.

Nothing happened. Same error.

I earnestly request for help as I am new to linux and working under strict deadline for project submission.
 
Old 01-18-2015, 03:29 PM   #2
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 17,628

Rep: Reputation: 2652Reputation: 2652Reputation: 2652Reputation: 2652Reputation: 2652Reputation: 2652Reputation: 2652Reputation: 2652Reputation: 2652Reputation: 2652Reputation: 2652
you are aware that 12.10 is UNSUPPORTED

it went END OF LIFE 7 months back

that is why you are having problems installing software
12.10 is not supported

please install the current 14.04 LTS or 14.10

or if you MUST!!! use a OLD version of Ubuntu then install the Long life version of 12
Ubuntu 12.04 LTS
 
Old 01-18-2015, 04:32 PM   #3
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2023 Fedora38 + 50+ other Linux OS, for test only.
Posts: 17,518

Rep: Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641
@nemesis98 : Welcome to LQ.

Please install a supported version.

How to use the unsafe Ubuntu 12.10, hopefully only for a short while:
Replace the text in /etc/apt/sources.list with this :
Code:
deb http://old-releases.ubuntu.com/ubuntu/ quantal main restricted
deb http://old-releases.ubuntu.com/ubuntu/ quantal multiverse universe
deb http://old-releases.ubuntu.com/ubuntu/ quantal-updates main restricted
deb http://old-releases.ubuntu.com/ubuntu/ quantal-updates multiverse universe
deb http://old-releases.ubuntu.com/ubuntu/ quantal-backports main restricted
deb http://old-releases.ubuntu.com/ubuntu/ quantal-backports multiverse universe
deb http://old-releases.ubuntu.com/ubuntu/ quantal-security main restricted
deb http://old-releases.ubuntu.com/ubuntu/ quantal-security multiverse universe
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
ns2 installation on ubuntu with olsr patch giving following error bhushan0710 Linux - Newbie 8 01-21-2013 04:09 AM
[SOLVED] ns2.1b9a-gcc32 installation error on Ubuntu 11.04. HELP! haiying7 Linux - Software 6 11-23-2011 01:36 PM
error: X11/Xlib.h: No such file or directory mswamy78 Linux - Newbie 5 08-02-2011 05:16 AM
installing qmake X11/Xlib.h: No such file or directory eolmsan Linux - Newbie 3 12-01-2008 04:09 AM
error while trying to install program: "X11/Xlib.h: No such file or directory" nate1 Linux - Newbie 3 05-21-2004 08:08 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Networking

All times are GMT -5. The time now is 08:08 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration